Package Details: pyclewn 2.3-1

Git Clone URL: https://aur.archlinux.org/pyclewn.git (read-only)
Package Base: pyclewn
Description: A Vim front-end to the gdb and pdb debuggers
Upstream URL: http://pyclewn.sourceforge.net
Licenses: GPL2
Submitter: None
Maintainer: anthraxx
Last Packager: anthraxx
Votes: 49
Popularity: 0.670943
First Submitted: 2008-12-15 19:54
Last Updated: 2016-05-18 22:37

Latest Comments

anthraxx commented on 2015-04-03 22:30

@serkho: right, don't remember why i added it that way... did several tests with vim only in a vm and works fine. thanks for pointing that out

serkho commented on 2015-04-01 18:06

Hi, wondering why it requires gvim-python3? As far as I know pyclewn doesn't need embedded Python interpreter

anthraxx commented on 2015-02-22 02:53

just adopted this package, will release a working version after some further tests in the following days

ISF commented on 2014-12-01 02:13

I'm orphaning this package since I don't use it anymore. Anyone who feels like adopting it, fix the dependency organization as suggested by @adam900710 (should be simple).

adam900710 commented on 2014-11-27 07:04

According to the reorgnization of vim(https://www.archlinux.org/news/reorganization-of-vim-packages/),
This package should require vim-python3 not vim.

Also, since pyclewn should be run in vim inside terminal, gvim-python3 or vim-python3 should be both OK.

Please update the PKGBUILD, thanks.

mar04 commented on 2014-01-05 23:09

Just a question, why is it installed in /usr/share/vim/vim74 and not in /usr/share/vim/vimfiles?

ISF commented on 2013-08-14 14:34

@iosonofabio

Updated, thanks!

iosonofabio commented on 2013-08-12 06:17

Vim 7.4 is out, the relevant dir is: /usr/share/vim/vim74/

Cheers,
Fabio

adam900710 commented on 2013-05-22 06:09

@ISF
Thanks.

ISF commented on 2013-05-21 18:44

@adam900710

Done.

adam900710 commented on 2013-05-20 01:06

When build, the following warning is outputted.
==> Tidying install...
-> Purging unwanted files...
==> WARNING: Package contains reference to $pkgdir

$ grep -iR yaourt pkg/
pkg/pyclewn/usr/bin/pdb-clone:sys.path.append('/tmp/yaourt-tmp-adam/aur-pyclewn/pkg/pyclewn/usr/lib/python3.3/site-packages')
pkg/pyclewn/usr/bin/pyclewn:sys.path.append('/tmp/yaourt-tmp-adam/aur-pyclewn/pkg/pyclewn/usr/lib/python3.3/site-packages')
pkg/pyclewn/usr/bin/inferior_tty.py:sys.path.append('/tmp/yaourt-tmp-adam/aur-pyclewn/pkg/pyclewn/usr/lib/python3.3/site-packages')

And the pdb-clone should not use $pkgdir.
Since yaourt use /tmp/yaourt-tmp-USER as working directory and /tmp is tmpfs by default now, after a reboot, there are *NO* such directory.

However this is not a big problem and will not affect the operation.(sys.path will include all the things needed and will not search the $pkdir directory)

It would be better to fix the small warning using sed to change the path.

The-Compiler commented on 2012-01-25 07:48

Should get pkgversion updated to 1.8

ISF commented on 2011-07-15 16:49

Updated to 1.6, and now it runs with python 3!

ISF commented on 2010-11-01 19:35

Package fixed for the python rebuild in arch. Now depends explicitly on python2.

ISF commented on 2010-10-13 16:36

Fixing helptags issue.

le_fuzzy commented on 2010-10-05 21:36

install fails: conflicts with /usr/share/vim/vim73/doc/tags
which is owned by vim-runtime 7.3.3-1

ISF commented on 2010-09-06 20:40

Package updated, working fine for me.

ISF commented on 2010-08-20 23:05

Since vim 7.3 was already released (and I hope it will appear in the repositories very soon) and a 7.2 patched version would require another package, I will wait for 7.3 to update this package.

jabbourb commented on 2010-08-19 10:00

The nbstart command was added as a patch and included in 7.3; so to launch pyclewn from a running vim instance (with :Pyclewn) you need either the patch or 7.3.
Nevertheless, with 7.2, you can still use the pyclewn command from command line and it will start its own Vim instance just fine.

Here is an updated PKGBUILD:
http://aur.pastebin.com/HqPS1ZYR

and vimdoc.install:
http://aur.pastebin.com/p4HLEqJe

jabbourb commented on 2010-08-19 09:58

The nbstart command was added as a patch and included in 7.3; so to launch pyclewn from a running vim instance (with :Pyclewn) you need either the patch or 7.3.
Nevertheless, with 7.2, you can still use the pyclewn command from command line and it will start its own Vim instance just fine.

Here is an updated PKGBUILD:
http://aur.pastebin.com/HqPS1ZYR

and vimdoc.install:
http://aur.pastebin.com/p4HLEqJe

jabbourb commented on 2010-08-19 09:54

The nbstart command was added as a patch and included in 7.3; so to launch pyclewn from a running vim instance (with :Pyclewn) you need either the patch or 7.3.
Nevertheless, with 7.2, you can still use the pyclewn command from command line and it will start its own Vim instance just fine.

Here is an updated PKGBUILD:
http://aur.pastebin.com/HqPS1ZYR

and vimdoc.install:
http://aur.pastebin.com/p4HLEqJe

ISF commented on 2010-08-09 22:57

@marten_kv could you tell exactly how you did to make ir work? I've tried many combinatoins here without succes. Default gvim package doesn't have nbstart command, neither vim built with +netbeans.

Anonymous comment on 2010-08-09 05:57

It works just fine with vim 7.2 in legacy mode (only in GUI and when started with pyclewn command), so don't wait for 7.3

ISF commented on 2010-08-08 22:47

Pyclew 1.2 and above will only work in a patched version o vim-7.2 or natively on vim-7.3. Since (appears that) vim-7.3 is close, I will only update this package after vim73 goes to the default repos.

ISF commented on 2010-08-08 18:31

Note: I've recently adopted the package and I'm now working on a update.

Anonymous comment on 2010-06-25 17:41

Heres a pkgbuild for the current version: http://paste.pocoo.org/show/229900 (quick & dirty. didn't test it well)

Anonymous comment on 2010-04-20 08:43

the latest version is 1.2. this package is way out of date. please update it.